/*-----------------------------------------------------------------------
				FedTerm version 1.60 - Windows Federation 2 Client
			  Copyright (c) 1995-2006 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify 
	it under the terms of the GNU General Public License as published by 
	the Free Software Foundation: either version 2 of the License, or (at 
	your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
	General Public License for more details.

	You should have received a copy of the GNU General Public License 
	along with this program; if not, write to the Free Software Foundation, 
	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5
	Programming and design: 	Alan Lenton
	Home website:					www.ibgames.net
-----------------------------------------------------------------------*/

#include <vcl.h>
#pragma hdrstop
USERES("FedTerm.res");
USEFORM("main.cpp", MainForm);
USEFORM("logon.cpp", LogonForm);
USEUNIT("coms.cpp");
USEUNIT("fed2.cpp");
USEUNIT("xml.cpp");
USEUNIT("init.cpp");
USEUNIT("init_parser.cpp");
USEUNIT("server_parser.cpp");
USEUNIT("persona.cpp");
USEUNIT("players.cpp");
USEUNIT("input.cpp");
USEUNIT("location.cpp");
USEUNIT("fedmap.cpp");
USEFORM("new_account.cpp", NewAccountForm);
USEUNIT("map_parser.cpp");
USEUNIT("login_code.cpp");
USEUNIT("new_ac_code.cpp");
USEUNIT("logging.cpp");
USEFORM("cmdform.cpp", CommandForm);
USEFORM("macroform.cpp", MacroBox);
USEUNIT("macro_rec.cpp");
USEUNIT("macro.cpp");
USEFORM("about.cpp", AboutForm);
USEUNIT("infra.cpp");
USEUNIT("avatar_stats.cpp");
USEUNIT("twinkles.cpp");
USEUNIT("ship_stats.cpp");
USEUNIT("tb_code.cpp");
USEFORM("friends.cpp", FriendsForm);
USEUNIT("friends_code.cpp");
USEFORM("tmc.cpp", TmcForm);
USEFORM("tmc_reminder.cpp", TmcReminderForm);
USEUNIT("tmc_code.cpp");
USEUNIT("exchange.cpp");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		Application->Title = "Fedterm";
		Application->CreateForm(__classid(TMainForm), &MainForm);
		Application->CreateForm(__classid(TLogonForm), &LogonForm);
		Application->CreateForm(__classid(TNewAccountForm), &NewAccountForm);
		Application->CreateForm(__classid(TCommandForm), &CommandForm);
		Application->CreateForm(__classid(TMacroBox), &MacroBox);
		Application->CreateForm(__classid(TAboutForm), &AboutForm);
		Application->CreateForm(__classid(TFriendsForm), &FriendsForm);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	return 0;
}
//---------------------------------------------------------------------------
