/*-----------------------------------------------------------------------
				FedTerm version 1.60 - Windows Federation 2 Client
			  Copyright (c) 1995-2006 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify 
	it under the terms of the GNU General Public License as published by 
	the Free Software Foundation: either version 2 of the License, or (at 
	your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
	General Public License for more details.

	You should have received a copy of the GNU General Public License 
	along with this program; if not, write to the Free Software Foundation, 
	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5
	Programming and design: 	Alan Lenton
	Home website:					www.ibgames.net
-----------------------------------------------------------------------*/

#include <vcl.h>
#pragma hdrstop

#include "logon.h"

#include "fed2.h"
#include "login_code.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TLogonForm *LogonForm;
//---------------------------------------------------------------------------

__fastcall TLogonForm::TLogonForm(TComponent* Owner)
	: TForm(Owner)
{
	login = 0;
	changed = false;
}


void	TLogonForm::CheckForChange()
{
	if(HostEdit->Modified)			changed = true;
	if(PortEdit->Modified)			changed = true;
	if(FedEdit->Modified)			changed = true;
	if(AccountEdit->Modified)		changed = true;
	if(PasswordEdit->Modified)		changed = true;
}

void __fastcall TLogonForm::DeleteBtnClick(TObject *Sender)
{
	login->DeleteCurrent();
	changed = false;
}

void __fastcall TLogonForm::LastBtnClick(TObject *Sender)
{
	if(login->Previous())
	changed = false;
}

void __fastcall TLogonForm::NextBtnClick(TObject *Sender)
{
	login->Next();
	changed = false;
}

void __fastcall TLogonForm::OKBtnClick(TObject *Sender)
{
	CheckForChange();
	login->Connect(changed);
}

void __fastcall TLogonForm::SaveCheckClick(TObject *Sender)
{
	changed = true;
}


