/*-----------------------------------------------------------------------
				FedTerm version 1.60 - Windows Federation 2 Client
			  Copyright (c) 1995-2006 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify 
	it under the terms of the GNU General Public License as published by 
	the Free Software Foundation: either version 2 of the License, or (at 
	your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
	General Public License for more details.

	You should have received a copy of the GNU General Public License 
	along with this program; if not, write to the Free Software Foundation, 
	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5
	Programming and design: 	Alan Lenton
	Home website:					www.ibgames.net
-----------------------------------------------------------------------*/

#include <vcl.h>
#pragma hdrstop

#include "display.h"

#include <io.h>

#include "main.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TDisplayForm *DisplayForm;
//---------------------------------------------------------------------------

__fastcall TDisplayForm::TDisplayForm(TComponent* Owner)
	: TForm(Owner)
{
}


void	TDisplayForm::LoadPicture(const std::string& name)
{
	std::string	file_name = ".\\pictures\\" + name + ".bmp";
	if(access(file_name.c_str(),0) != 0)
	{
		file_name = ".\\pictures\\interference.bmp";
		if(access(file_name.c_str(),0) != 0)
			return;
	}
//	ScoreImage->Picture->LoadFromFile(file_name.c_str());
}


void __fastcall TDisplayForm::FormActivate(TObject *Sender)
{
	static bool	first_time = true;

	if(first_time)
	{
		first_time = false;
 //		Output->Color = 	MainForm->InputEdit->Color;
 //		Output->Font = 	MainForm->InputEdit->Font;
	}
//	ActiveControl = Output;
}

void __fastcall TDisplayForm::SpynetOutputKeyUp(TObject *Sender, WORD &Key,
		TShiftState Shift)
{
	Close();
}

