/*-----------------------------------------------------------------------
				FedTerm version 1.60 - Windows Federation 2 Client
			  Copyright (c) 1995-2006 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify 
	it under the terms of the GNU General Public License as published by 
	the Free Software Foundation: either version 2 of the License, or (at 
	your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
	General Public License for more details.

	You should have received a copy of the GNU General Public License 
	along with this program; if not, write to the Free Software Foundation, 
	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5
	Programming and design: 	Alan Lenton
	Home website:					www.ibgames.net
-----------------------------------------------------------------------*/

#ifndef MACROFORM_H
#define MACROFORM_H

//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------

#include <string>

class Macro;

class TMacroBox : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TPanel *Panel3;
	TPanel *Panel2;
	TImage *Image;
	TPanel *Panel4;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TGroupBox *FKeyGroup;
	TMemo *FKeyMemo;
	TBitBtn *LastBtn;
	TBitBtn *NextBtn;
	TBitBtn *CancelBtn;
	TBitBtn *OkBtn;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall CancelBtnClick(TObject *Sender);
	void __fastcall OkBtnClick(TObject *Sender);
	void __fastcall NextBtnClick(TObject *Sender);
	void __fastcall LastBtnClick(TObject *Sender);
private:	// User declarations
	static const std::string changed_text;
	Macro	*macro;
	int	current;
public:		// User declarations
	__fastcall TMacroBox(TComponent* Owner);

	void	SetMacro(Macro *which)			{ macro = which;		}
	void	UpdateCurrent(int index);
};

//---------------------------------------------------------------------------
extern PACKAGE TMacroBox *MacroBox;
//---------------------------------------------------------------------------

#endif
