/*-----------------------------------------------------------------------
				FedTerm version 1.60 - Windows Federation 2 Client
			  Copyright (c) 1995-2006 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify 
	it under the terms of the GNU General Public License as published by 
	the Free Software Foundation: either version 2 of the License, or (at 
	your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
	General Public License for more details.

	You should have received a copy of the GNU General Public License 
	along with this program; if not, write to the Free Software Foundation, 
	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5
	Programming and design: 	Alan Lenton
	Home website:					www.ibgames.net
-----------------------------------------------------------------------*/

#ifndef NEWACCODE_H
#define NEWACCODE_H

#include <string>

class AccountRec;

class NewAccount
{
public:
	enum	{ MORE_TO_COME, FINISHED	};

private:
	enum
	{
		LOGIN, ACCOUNT_ID, PASSWORD, CONFIRM, EMAIL, AC_SENT,
		AC_RETRY, RACE, GENDER, STATS, ACCEPT, ALL_SENT, AVATAR_RETRY
	};

	AccountRec	*account;		// the current account
	int			status;

	int	Accept(const std::string& line);
	int	AccountID(const std::string& line);
	int	AcSent(const std::string& line);
	int	Confirm(const std::string& line);
	int	EMail(const std::string& line);
	int	Gender(const std::string& line);
	int	Login(const std::string& line);
	int	Password(const std::string& line);
	int	Race(const std::string& line);
	int	Stats(const std::string& line);
	int	Start(const std::string& line);

public:
	NewAccount();
	~NewAccount();

	int	ProcessText(std::string& line);
	void	Connect();
};

#endif
